|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Macros | Functions | Variables
sccp1.c File Reference
MPLABX MCC Melody Code Generator » Timer Driver

This is the generated driver source file for SCCP1-TIMER driver. More...

`#include <stddef.h>`
`#include "../sccp1.h"`
`#include "../timer_interface.h"`
Include dependency graph for sccp1.c:

Go to the source code of this file.

## Macros
#define | MASK_32_BIT_LOW 0x0000FFFFU
#define | MASK_32_BIT_HIGH 0xFFFF0000U

## Functions
void | SCCP1_Timer_Initialize (void)
| Initializes the SCCP1 module.
void | SCCP1_Timer_Deinitialize (void)
| Deinitializes the SCCP1 to POR values.
void | SCCP1_Timer_Start (void)
| Starts the timer.
void | SCCP1_Timer_Stop (void)
| Stops the timer.
void | SCCP1_Timer_PeriodSet (uint32_t count)
| Sets the SCCP1-Timer period count value.
void | SCCP1_Timer_InterruptPrioritySet (enum INTERRUPT_PRIORITY priority)
| Sets the Interrupt Priority Value.
void | SCCP1_Timer_TimeoutCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for SCCP1 Timeout event.
void | SCCP1_TimeoutCallbackRegister (void *handler)
| This function can be used to override default callback and to define custom callback for SCCP1 Timeout event.
void | __attribute__ ((weak))
void | __attribute__ ((interrupt, no_auto_psv))
void | SCCP1_Timer_PeriodCountSet (size_t count)

## Variables
static void(* | SCCP1_TimeoutHandler )(void) = NULL
const struct TIMER_INTERFACE | CTRLLOOP_EXE
| Structure object of type TIMER_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. Timer1 can be changed by the user in the TIMER user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

SCCP1-TIMER Generated Driver Source File

Definition in file sccp1.c.

## Macro Definition Documentation

## ◆ MASK_32_BIT_HIGH

#define MASK_32_BIT_HIGH 0xFFFF0000U

Definition at line 47 of file sccp1.c.

## ◆ MASK_32_BIT_LOW

#define MASK_32_BIT_LOW 0x0000FFFFU

Definition at line 46 of file sccp1.c.

## Function Documentation

## ◆ __attribute__() [1/2]

void __attribute__ | ( | (interrupt, no_auto_psv) |  | ) |

Definition at line 197 of file sccp1.c.

## ◆ __attribute__() [2/2]

void __attribute__ | ( | (weak) |  | ) |

Definition at line 192 of file sccp1.c.

## ◆ SCCP1_Timer_PeriodCountSet()

void SCCP1_Timer_PeriodCountSet | ( | size_t | count | ) |

Definition at line 206 of file sccp1.c.

## Variable Documentation

## ◆ SCCP1_TimeoutHandler

void(* SCCP1_TimeoutHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 51 of file sccp1.c.